### Method

# Fwupd BiosSetting set_appstream_id

since: 2.1.7

#### Declaration [src]

    void
    fwupd_bios_setting_set_appstream_id (
      FwupdBiosSetting* self,
      const gchar* appstream_id
    )

#### Description [src]

Sets the vendor-neutral fwupd AppStream identifier for this setting.

Available since: 2.1.7

#### Parameters

`appstream_id`

  Type: `const gchar*`

  The fwupd AppStream identifier.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.